Package generic.theme

# Class AllValuesChangedThemeEvent

java.lang.Object
generic.theme.ThemeEvent
generic.theme.AllValuesChangedThemeEvent

public class AllValuesChangedThemeEvent extends ThemeEvent
`ThemeEvent` for when a new theme is set or the current theme is reset to its original values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllValuesChangedThemeEvent(boolean lookAndFeelChanged)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasAnyColorChanged()`
  Returns true if any color value changed.
  `boolean`
  `hasAnyFontChanged()`
  Returns true if any font value changed.
  `boolean`
  `hasAnyIconChanged()`
  Returns true if any icon value changed.
  `boolean`
  `haveAllValuesChanged()`
  Returns true if all colors, fonts, and icons may have changed.
  `boolean`
  `isColorChanged(String id)`
  Returns true if the color associated with the given id has changed.
  `boolean`
  `isFontChanged(String id)`
  Returns true if the font associated with the given id has changed.
  `boolean`
  `isIconChanged(String id)`
  Returns true if the icon associated with the given id has changed.
  `boolean`
  `isLookAndFeelChanged()`
  Returns true if the `LookAndFeel` has changed (theme changed).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AllValuesChangedThemeEvent

    public AllValuesChangedThemeEvent(boolean lookAndFeelChanged)
    Constructor
    Parameters:
      `lookAndFeelChanged` - true if the overall theme was changed which may have caused the `LookAndFeel` to change

- ## Method Details

  - ### isColorChanged

    public boolean isColorChanged(String id)
    Description copied from class: `ThemeEvent`
    Returns true if the color associated with the given id has changed.
    Overrides:
      `isColorChanged` in class `ThemeEvent`
    Parameters:
      `id` - the color id to test if changed
    Returns:
      true if the color associated with the given id has changed

  - ### isFontChanged

    public boolean isFontChanged(String id)
    Description copied from class: `ThemeEvent`
    Returns true if the font associated with the given id has changed.
    Overrides:
      `isFontChanged` in class `ThemeEvent`
    Parameters:
      `id` - the font id to test if changed
    Returns:
      true if the font associated with the given id has changed

  - ### isIconChanged

    public boolean isIconChanged(String id)
    Description copied from class: `ThemeEvent`
    Returns true if the icon associated with the given id has changed.
    Overrides:
      `isIconChanged` in class `ThemeEvent`
    Parameters:
      `id` - the icon id to test if changed
    Returns:
      true if the icon associated with the given id has changed

  - ### isLookAndFeelChanged

    public boolean isLookAndFeelChanged()
    Description copied from class: `ThemeEvent`
    Returns true if the `LookAndFeel` has changed (theme changed).
    Overrides:
      `isLookAndFeelChanged` in class `ThemeEvent`
    Returns:
      true if the `LookAndFeel` has changed (theme changed).

  - ### haveAllValuesChanged

    public boolean haveAllValuesChanged()
    Description copied from class: `ThemeEvent`
    Returns true if all colors, fonts, and icons may have changed. This doesn't guarantee that all the values have actually changed, just that they might have. In other words, a mass change occurred (theme change, theme reset, etc.) and any or all values may have changed.
    Overrides:
      `haveAllValuesChanged` in class `ThemeEvent`
    Returns:
      true if all colors, fonts, and icons may have changed.

  - ### hasAnyColorChanged

    public boolean hasAnyColorChanged()
    Description copied from class: `ThemeEvent`
    Returns true if any color value changed.
    Overrides:
      `hasAnyColorChanged` in class `ThemeEvent`
    Returns:
      true if any color value changed.

  - ### hasAnyFontChanged

    public boolean hasAnyFontChanged()
    Description copied from class: `ThemeEvent`
    Returns true if any font value changed.
    Overrides:
      `hasAnyFontChanged` in class `ThemeEvent`
    Returns:
      true if any font value changed.

  - ### hasAnyIconChanged

    public boolean hasAnyIconChanged()
    Description copied from class: `ThemeEvent`
    Returns true if any icon value changed.
    Overrides:
      `hasAnyIconChanged` in class `ThemeEvent`
    Returns:
      true if any icon value changed.